%define upstream_name    Test-Most
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Most commonly needed test functions and features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class) >= 1.140.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Deep) >= 0.106.0
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::Harness) >= 3.210.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.340.0-6pclos2017
- rebuild against updates

